set deviceID 2
set logicalID 2
set ipAddress 192.168.9.200

proc bgerror {args} {
    puts "BGERROR ARGS: $args"
}

proc genReport {stats1 stats2} {
    foreach {key1 val1} $stats1 {key2 val2} $stats2 {
        if {$val1 != $val2} {
	    append return [format "%-30s %12s %12s\n" $key1 $val1 $val2]
	}
    }
  puts $return
}
proc stopNstats {analyzer logicalID } {
    # stop the analyzer, get stats, and destroy it
    set stats [$analyzer stats]
    $analyzer stop
    $analyzer destroy
    
    # And unlock the device for the next user.
    enet unlock $logicalID
    
    # Display the modified generator stats
    
    return $stats
}

set base ".."
set base "../.."

lappend auto_path . $base/bios/tcllib/xml $base/tclclib
 
if {[catch {package require ax4kpkg}]} {
  if {[catch {load $base/tclwin/libax4k.dll ax4kpkg}]} {
    catch {load $base/tclclib/libax4k.so ax4kpkg}
  }
}

ax hwdir $base/bios

ax init -remote $ipAddress -user clif -conout 1 \

enet lock $deviceID  $ipAddress $logicalID

interface create int1 $logicalID -ifmode IPoETHER

    int1 set -mode normal -dataRate MBS10
    int1 run
    
    analyzer create ana1 $logicalID 

    ana1 reset

    # Get the starting stats
    set anaStats1 [ana1 stats]

    # Start the analyzer
    ana1 run

    after 1000 {exec tclsh /home/clif/IP/PacketMaker/testGen.tcl;}
    after 6000 {set stop 1}
    set stop 0
    vwait  stop

    # stop the analyzer, get stats, and destroy it
    set anaStats2 [ana1 stats]
    ana1 stop
    ana1 destroy
    
    # And unlock the device for the next user.
    enet unlock $logicalID
    
    genReport $anaStats1 $anaStats2
